# NagCollect -- Nagios Data Collector for Passive Checks
# Copyright (c)2010-2013 Alexander Barton, alex@barton.de

# Check Apple Hardware Serial Number

SERVICE="HwSn_p"
STATUS=1

model_name=`system_profiler SPHardwareDataType | \
	grep "Model Name: " | head -n 1 | cut -d':' -f2 | sed -e 's/ //g'`

model_identifier=`system_profiler SPHardwareDataType | \
	grep "Model Identifier: " | head -n 1 | cut -d':' -f2 | sed -e 's/ //g'`

model_sn=`system_profiler SPHardwareDataType | \
	grep "Serial Number" | head -n 1 | cut -d':' -f2 | sed -e 's/ //g'`

if [ -n "$model_name" -a -n "$model_identifier" -a -n "$model_sn" ]; then
	TEXT="$model_name, S/N $model_sn ($model_identifier)"
	STATUS=0
fi
